com.hazelcast.jet.pipeline

## Enum JournalInitialPosition

- java.lang.Object
- - java.lang.Enum<JournalInitialPosition>
  - - com.hazelcast.jet.pipeline.JournalInitialPosition

- All Implemented Interfaces:
    Serializable, Comparable<JournalInitialPosition>

      public enum JournalInitialPosition
      extends Enum<JournalInitialPosition>

  When passed to an IMap/ICache Event Journal source, specifies which event to start from. You can start from the oldest event still in the journal or skip all the history and receive only the events that occur after connecting to the event journal.

  See:

  - `Sources.mapJournal(java.lang.String, com.hazelcast.jet.function.PredicateEx<? super com.hazelcast.map.journal.EventJournalMapEvent<K, V>>, com.hazelcast.jet.function.FunctionEx<? super com.hazelcast.map.journal.EventJournalMapEvent<K, V>, ? extends T>, com.hazelcast.jet.pipeline.JournalInitialPosition)`
  - `Sources.remoteMapJournal(java.lang.String, com.hazelcast.client.config.ClientConfig, com.hazelcast.jet.function.PredicateEx<? super com.hazelcast.map.journal.EventJournalMapEvent<K, V>>, com.hazelcast.jet.function.FunctionEx<? super com.hazelcast.map.journal.EventJournalMapEvent<K, V>, ? extends T>, com.hazelcast.jet.pipeline.JournalInitialPosition)`
  - `Sources.cacheJournal(java.lang.String, com.hazelcast.jet.function.PredicateEx<? super com.hazelcast.cache.journal.EventJournalCacheEvent<K, V>>, com.hazelcast.jet.function.FunctionEx<? super com.hazelcast.cache.journal.EventJournalCacheEvent<K, V>, ? extends T>, com.hazelcast.jet.pipeline.JournalInitialPosition)`
  - `Sources.remoteCacheJournal(java.lang.String, com.hazelcast.client.config.ClientConfig, com.hazelcast.jet.function.PredicateEx<? super com.hazelcast.cache.journal.EventJournalCacheEvent<K, V>>, com.hazelcast.jet.function.FunctionEx<? super com.hazelcast.cache.journal.EventJournalCacheEvent<K, V>, ? extends T>, com.hazelcast.jet.pipeline.JournalInitialPosition)`
  Since:
    3.0

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `START_FROM_CURRENT` Skip all the history and emit only the events that occur after connecting to the journal.
    `START_FROM_OLDEST` Start from the oldest event still available.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static JournalInitialPosition` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static JournalInitialPosition[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### START_FROM_OLDEST

          public static final JournalInitialPosition START_FROM_OLDEST

      Start from the oldest event still available.

    - #### START_FROM_CURRENT

          public static final JournalInitialPosition START_FROM_CURRENT

      Skip all the history and emit only the events that occur after connecting to the journal.

  - ### Method Detail

    - #### values

          public static JournalInitialPosition[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (JournalInitialPosition c : JournalInitialPosition.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static JournalInitialPosition valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2019. All rights reserved.